com.google.gwt.editor.client

## Interface LeafValueEditor<T>

Type Parameters:
  `T` - The type of primitive value

All Superinterfaces:
  Editor<T>, TakesValue<T>

All Known Implementing Classes:
  FakeLeafValueEditor, HasTextEditor, OptionalFieldEditor, SimpleEditor, TakesValueEditor, ValueBoxEditor

    public interface LeafValueEditor<T>
    extends Editor<T>, TakesValue<T>

Used to edit non-object or immutable values. The Editor framework will not descend into a LeafValueEditor.

See Also:
  `SimpleEditor`

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.google.gwt.editor.client.Editor

`Editor.Ignore, Editor.Path`

### Method Summary

### Methods inherited from interface com.google.gwt.user.client.TakesValue

`getValue, setValue`